var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/forms/login-form.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { useState } from 'react';
import PropTypes from 'prop-types';
import { Form, Message } from 'semantic-ui-react';
import { Button } from '../index';

var LoginForm = function LoginForm(_ref) {
  var handleLogin = _ref.handleLogin,
      props = _objectWithoutPropertiesLoose(_ref, ["handleLogin"]);

  var defaultValues = {
    username: '',
    password: '',
    loading: props.loading,
    error: props.error
  };

  var _useState = useState(defaultValues),
      state = _useState[0],
      setState = _useState[1];

  var handleChange = function handleChange(e, _ref2) {
    var _extends2;

    var name = _ref2.name,
        value = _ref2.value;
    setState(_extends({}, state, (_extends2 = {}, _extends2[name] = value, _extends2.error = undefined, _extends2)));
  };

  var handleSubmit = function handleSubmit(e) {
    e.preventDefault();
    var username = state.username,
        password = state.password;

    if (!username || !password) {
      setState(_extends({}, state, {
        error: 'Username and Password are required!'
      }));
    } else {
      handleLogin({
        username: username,
        password: password
      });
      setState(_extends({}, state, {
        loading: true
      }));
    }
  };

  var username = state.username,
      password = state.password,
      error = state.error,
      loading = state.loading;
  return /*#__PURE__*/React.createElement(Form, {
    id: "login-form",
    className: "login-form",
    size: "large",
    key: "big",
    onSubmit: handleSubmit,
    loading: loading,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 30,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(Form.Input, {
    id: "username",
    name: "username",
    className: "login-input",
    placeholder: "Username",
    icon: "user",
    iconPosition: "left",
    required: true,
    onChange: handleChange,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 31,
      columnNumber: 7
    }
  }), /*#__PURE__*/React.createElement(Form.Input, {
    id: "password",
    name: "password",
    className: "login-input",
    placeholder: "Password",
    icon: "lock",
    iconPosition: "left",
    required: true,
    onChange: handleChange,
    type: "password",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 41,
      columnNumber: 7
    }
  }), error ? /*#__PURE__*/React.createElement(Message, {
    negative: true,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 54,
      columnNumber: 9
    }
  }, /*#__PURE__*/React.createElement(Message.Header, {
    as: "h5",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 55,
      columnNumber: 11
    }
  }, "Login Failed"), /*#__PURE__*/React.createElement("p", {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 56,
      columnNumber: 11
    }
  }, error)) : '', /*#__PURE__*/React.createElement(Button, {
    className: "login-button",
    type: "submit",
    form: "login-form",
    content: "Sign In",
    primary: true,
    fluid: true,
    size: "large",
    disabled: !username || !password,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 62,
      columnNumber: 7
    }
  }));
};

LoginForm.propTypes = process.env.NODE_ENV !== "production" ? {
  handleLogin: PropTypes.func.isRequired,
  loading: PropTypes.bool,
  error: PropTypes.string
} : {};
LoginForm.defaultProps = {
  loading: false,
  error: undefined
};
export default LoginForm;