import { useState } from 'react';
import { concat, without } from 'lodash';

var useStateList = function useStateList(values) {
  if (values === void 0) {
    values = [];
  }

  var _useState = useState(values),
      list = _useState[0],
      setState = _useState[1];

  var setList = function setList(value) {
    setState(function (prevState) {
      if (prevState.includes(value)) return without(prevState, value);else return concat(prevState, [value]);
    });
  };

  var resetValues = function resetValues(values) {
    if (values === void 0) {
      values = [];
    }

    return setState(values);
  };

  return [list, setList, resetValues];
};

export default useStateList;