import { useMemo } from 'react';
import { useLocation, useParams } from 'react-router-dom';
import { parseUrlQueryParams } from '../utils/parseURLQueryParams';
export var useURLQueryParams = function useURLQueryParams(array_keys) {
  if (array_keys === void 0) {
    array_keys = [];
  }

  var _useLocation = useLocation(),
      search = _useLocation.search;

  var parameters = useParams();
  return {
    queryParameters: useMemo(function () {
      return search ? parseUrlQueryParams(search, array_keys) : {};
    }, [search, array_keys]),
    parameters: parameters
  };
};
export default useURLQueryParams;