var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/menus/navbar.js";

import React from 'react';
import PropTypes from 'prop-types';
import { Menu, Icon } from 'semantic-ui-react';

var renderSubMenu = function renderSubMenu(element) {
  if (element) {
    return /*#__PURE__*/React.createElement(Menu.Item, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 7,
        columnNumber: 12
      }
    }, element);
  }
};

var Navbar = function Navbar(props) {
  var activeItem = props.activeItem,
      children = props.children,
      logo = props.logo,
      subMenu = props.subMenu,
      userMenu = props.userMenu,
      navCallback = props.navCallback;
  var items = React.Children.map(children, function (item) {
    return React.cloneElement(item, {
      active: activeItem === item.props.name
    });
  });
  return /*#__PURE__*/React.createElement(Menu, {
    className: "navbar",
    borderless: true,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(Menu.Item, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 22,
      columnNumber: 7
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "angle right",
    size: "large",
    link: true,
    onClick: navCallback,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 23,
      columnNumber: 9
    }
  })), renderSubMenu(logo), renderSubMenu(subMenu), /*#__PURE__*/React.createElement(Menu.Menu, {
    position: "right",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28,
      columnNumber: 7
    }
  }, items, renderSubMenu(userMenu)));
};

Navbar.propTypes = process.env.NODE_ENV !== "production" ? {
  activeItem: PropTypes.string,
  children: PropTypes.any.isRequired,
  logo: PropTypes.node,
  subMenu: PropTypes.node,
  userMenu: PropTypes.node,
  navCallback: PropTypes.func
} : {};
Navbar.defaultProps = {
  activeItem: ''
};
export default Navbar;