var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/menus/user-menu.js";

import React from 'react';
import PropTypes from 'prop-types';
import { Dropdown, Divider } from 'semantic-ui-react';
import * as customPropTypes from '../helpers/customPropTypes';
import { Avatar } from '../index';

var UserMenu = function UserMenu(props) {
  var email = props.email,
      linksAs = props.linksAs,
      name = props.name,
      profileImage = props.profileImage;
  return /*#__PURE__*/React.createElement(Dropdown, {
    trigger: /*#__PURE__*/React.createElement(Avatar, {
      profileImage: profileImage,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 12,
        columnNumber: 24
      }
    }),
    icon: null,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(Dropdown.Menu, {
    className: "NavbarDropdownMenu",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 13,
      columnNumber: 7
    }
  }, /*#__PURE__*/React.createElement(Dropdown.Item, {
    text: name,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 14,
      columnNumber: 9
    }
  }), /*#__PURE__*/React.createElement(Dropdown.Item, {
    text: email,
    disabled: true,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 9
    }
  }), /*#__PURE__*/React.createElement(Divider, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 9
    }
  }), /*#__PURE__*/React.createElement(Dropdown.Item, {
    text: "Settings",
    as: linksAs,
    to: "settings",
    href: "settings",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 9
    }
  }), /*#__PURE__*/React.createElement(Dropdown.Item, {
    text: "Log Out",
    as: linksAs,
    to: "/logout",
    href: "/logout",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 9
    }
  })));
};

UserMenu.propTypes = process.env.NODE_ENV !== "production" ? {
  username: PropTypes.string.isRequired,
  email: PropTypes.string.isRequired,
  name: PropTypes.string.isRequired,
  profileImage: PropTypes.string,
  linksAs: customPropTypes.as // This is to allow the option to pass in NavLink from react-router

} : {};
UserMenu.defaultProps = {
  linksAs: 'a'
};
export default UserMenu;