var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/modals/form-modal.js";

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { useState } from 'react';
import PropTypes from 'prop-types';
import { Modal } from 'semantic-ui-react';
import { Button, CancelButton, SaveForm } from '../index';

var FormModal = function FormModal(_ref) {
  var open = _ref.open,
      handleSubmit = _ref.handleSubmit,
      props = _objectWithoutPropertiesLoose(_ref, ["open", "handleSubmit"]);

  var cancelButton = props.cancelButton,
      children = props.children,
      defaultValues = props.defaultValues,
      formId = props.formId,
      handleChange = props.handleChange,
      saveButton = props.saveButton,
      title = props.title;

  var _useState = useState(open),
      visible = _useState[0],
      setVisible = _useState[1];

  var onSubmit = function onSubmit(values) {
    if (handleSubmit) handleSubmit(values);
    setVisible(false);
  };

  var trigger = React.cloneElement(props.trigger, {
    onClick: function onClick() {
      return setVisible(true);
    }
  });
  var save = React.cloneElement(saveButton, {
    type: 'submit',
    form: formId
  });
  var cancel = React.cloneElement(cancelButton, {
    onClick: function onClick() {
      return setVisible(false);
    }
  });
  return /*#__PURE__*/React.createElement(Modal, {
    trigger: trigger,
    open: visible,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 30,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(Modal.Header, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 31,
      columnNumber: 7
    }
  }, title), /*#__PURE__*/React.createElement(Modal.Content, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 33,
      columnNumber: 7
    }
  }, /*#__PURE__*/React.createElement(SaveForm, {
    formId: formId,
    defaultValues: defaultValues,
    handleChange: handleChange,
    handleSubmit: onSubmit,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 34,
      columnNumber: 9
    }
  }, children)), /*#__PURE__*/React.createElement(Modal.Actions, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 39,
      columnNumber: 7
    }
  }, save, cancel));
};

FormModal.propTypes = process.env.NODE_ENV !== "production" ? {
  formId: PropTypes.string.isRequired,
  trigger: PropTypes.element.isRequired,
  title: PropTypes.string.isRequired,
  handleSubmit: PropTypes.func,
  handleChange: PropTypes.func,
  open: PropTypes.bool,
  defaultValues: PropTypes.shape({}),
  saveButton: PropTypes.any,
  cancelButton: PropTypes.any
} : {};
FormModal.defaultProps = {
  open: false,
  defaultValues: {},
  saveButton: /*#__PURE__*/React.createElement(Button, {
    type: "submit",
    content: "Save",
    icon: "save",
    color: "action-positive",
    inverted: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 62,
      columnNumber: 15
    }
  }),
  cancelButton: /*#__PURE__*/React.createElement(CancelButton, {
    inverted: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 63,
      columnNumber: 17
    }
  })
};
export default FormModal;