var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/locus-cell.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Label, Popup } from 'semantic-ui-react';
import { get } from 'lodash';
import { ExternalLink } from '../links/external-link';
import * as urlBuilders from '../utils/urlBuilders';
export var LocusCell = function LocusCell(_ref) {
  var rowData = _ref.rowData,
      column = _ref.column;
  var props = get(column, 'props');
  var chromosome = get(rowData, 'chromosome');
  var start = parseInt(get(rowData, 'start'), 10).toLocaleString();
  var end = parseInt(get(rowData, 'end'), 10).toLocaleString();
  var trigger = chromosome + ":" + start + "-" + end;
  return /*#__PURE__*/React.createElement(Popup, _extends({
    trigger: /*#__PURE__*/React.createElement("p", {
      style: {
        cursor: 'pointer'
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 16,
        columnNumber: 21
      }
    }, trigger),
    on: "click",
    wide: "very"
  }, props, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 5
    }
  }), /*#__PURE__*/React.createElement(Popup.Content, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 7
    }
  }, /*#__PURE__*/React.createElement(ExternalLink, {
    href: urlBuilders.ucscLocus(chromosome, start, end),
    style: {
      paddingRight: 5
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 9
    }
  }, /*#__PURE__*/React.createElement(Label, {
    content: "UCSC",
    color: "yellow",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 11
    }
  })), /*#__PURE__*/React.createElement(ExternalLink, {
    href: urlBuilders.dgvRegionSearch(chromosome, start, end),
    style: {
      paddingRight: 5
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 9
    }
  }, /*#__PURE__*/React.createElement(Label, {
    content: "DGV",
    color: "teal",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 22,
      columnNumber: 11
    }
  })), /*#__PURE__*/React.createElement(ExternalLink, {
    href: urlBuilders.decipherRegionSearch(chromosome, start, end),
    style: {
      paddingRight: 5
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24,
      columnNumber: 9
    }
  }, /*#__PURE__*/React.createElement(Label, {
    content: "Decipher",
    color: "blue",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25,
      columnNumber: 11
    }
  }))));
};
export default LocusCell;