var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/tables/table.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { useEffect, useState } from 'react';
import PropTypes from 'prop-types';
import BaseTable from 'react-base-table';
import AutoSizer from 'react-virtualized-auto-sizer';
import { Dimmer, Header, Loader, Segment } from 'semantic-ui-react';
export var NoDataRenderer = function NoDataRenderer() {
  return /*#__PURE__*/React.createElement(Segment, {
    textAlign: "center",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 9,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(Header, {
    content: "No Data!",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 10,
      columnNumber: 7
    }
  }));
};
export var LoadingFooterRenderer = function LoadingFooterRenderer() {
  return /*#__PURE__*/React.createElement(Dimmer, {
    inverted: true,
    active: true,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(Loader, {
    size: "tiny",
    content: "Loading more...",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 7
    }
  }));
};
export var Table = function Table(_ref) {
  var _ref$data = _ref.data,
      data = _ref$data === void 0 ? [] : _ref$data,
      _ref$widths = _ref.widths,
      widths = _ref$widths === void 0 ? {} : _ref$widths,
      _ref$maxHeight = _ref.maxHeight,
      maxHeight = _ref$maxHeight === void 0 ? 500 : _ref$maxHeight,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 500 : _ref$height,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 500 : _ref$width,
      _ref$noDataHeight = _ref.noDataHeight,
      noDataHeight = _ref$noDataHeight === void 0 ? 100 : _ref$noDataHeight,
      _ref$footerHeight = _ref.footerHeight,
      footerHeight = _ref$footerHeight === void 0 ? 50 : _ref$footerHeight,
      _ref$responsive = _ref.responsive,
      responsive = _ref$responsive === void 0 ? false : _ref$responsive,
      _ref$loading = _ref.loading,
      loading = _ref$loading === void 0 ? false : _ref$loading,
      onFetch = _ref.onFetch,
      children = _ref.children,
      rest = _objectWithoutPropertiesLoose(_ref, ["data", "widths", "maxHeight", "height", "width", "noDataHeight", "footerHeight", "responsive", "loading", "onFetch", "children"]);

  var _useState = useState(loading),
      isLoading = _useState[0],
      setLoading = _useState[1];

  useEffect(function () {
    return setLoading(loading);
  }, [loading]);

  var onEndReached = function onEndReached() {
    if (onFetch) {
      if (!isLoading) {
        onFetch();
        setLoading(true);
      }
    }
  };

  var props = {
    fixed: true,
    data: data,
    maxHeight: data.length === 0 ? undefined : maxHeight,
    height: data.length === 0 ? noDataHeight : undefined,
    footerHeight: isLoading ? footerHeight : 0,
    footerRenderer: LoadingFooterRenderer,
    emptyRenderer: NoDataRenderer,
    onEndReached: onEndReached
  };

  if (responsive) {
    return /*#__PURE__*/React.createElement(AutoSizer, {
      disableHeight: true,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 62,
        columnNumber: 7
      }
    }, function (_ref2) {
      var autoWidth = _ref2.width;
      return /*#__PURE__*/React.createElement(BaseTable, _extends({
        width: autoWidth
      }, props, rest, {
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 65,
          columnNumber: 13
        }
      }), children);
    });
  }

  return /*#__PURE__*/React.createElement(BaseTable, _extends({
    width: width
  }, props, rest, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 75,
      columnNumber: 5
    }
  }), children);
};
Table.propTypes = process.env.NODE_ENV !== "production" ? {
  data: PropTypes.arrayOf(PropTypes.shape({})),
  maxHeight: PropTypes.number,
  height: PropTypes.number,
  width: PropTypes.number,
  noDataHeight: PropTypes.number,
  footerHeight: PropTypes.number,
  responsive: PropTypes.bool,
  loading: PropTypes.bool,
  onFetch: PropTypes.func,
  children: PropTypes.arrayOf(PropTypes.object)
} : {};
export default Table;