import moment from 'moment';

var getTurnAroundTimeDetails = function getTurnAroundTimeDetails(target, start, signout) {
  var now = moment(Date.now());
  var startMoment = moment(start);
  var daysPassed;
  var label;
  var color = 'yellow'; // If it has a signout date, we can use this to subtract against

  if (signout) {
    var signoutMoment = moment(signout);
    daysPassed = signoutMoment.diff(startMoment, 'days');
    label = (target - daysPassed) * -1;

    if (daysPassed > target) {
      color = 'red';
    } else {
      color = 'green';
    } // If not, we have to calculate from now

  } else {
    daysPassed = now.diff(startMoment, 'days');
    label = (target - daysPassed) * -1;
    var percent = daysPassed / target; // Label is the time to signout date
    // If the target signout date is 12/19/1987 and today is 12/18/1987, we would display -1
    // We count negative towards the expected date, and incrementally up past signout

    if (percent < 0.5) {
      color = 'green';
    } else if (percent > 0.9) {
      color = 'red';
    }
  }

  return {
    label: label,
    daysPassed: daysPassed,
    color: color,
    value: signout ? target : daysPassed
  };
};

export default getTurnAroundTimeDetails;