"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _semanticUiReact = require("semantic-ui-react");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/dropdowns/autocomplete-dropdown.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var AutoCompleteDropDown = function AutoCompleteDropDown(_ref) {
  var endpoint = _ref.endpoint,
      searchAction = _ref.searchAction,
      waitInterval = _ref.waitInterval,
      loading = _ref.loading,
      props = _objectWithoutPropertiesLoose(_ref, ["endpoint", "searchAction", "waitInterval", "loading"]);

  var _useState = (0, _react.useState)(false),
      state = _useState[0],
      setState = _useState[1];

  var countRef = (0, _react.useRef)(null);
  countRef.current = null;
  (0, _react.useEffect)(function () {
    return setState(loading);
  }, [loading]);

  var onSearchChange = function onSearchChange(e, _ref2) {
    var searchQuery = _ref2.searchQuery;
    clearTimeout(countRef.current);
    countRef.current = setTimeout(function () {
      return searchAction(searchQuery);
    }, waitInterval);
    setState(true);
  };

  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Dropdown, _extends({
    search: true,
    selection: true,
    onSearchChange: onSearchChange,
    loading: state
  }, props, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 10
    }
  }));
};

AutoCompleteDropDown.propTypes = process.env.NODE_ENV !== "production" ? {
  searchAction: _propTypes["default"].func.isRequired,
  waitInterval: _propTypes["default"].number,
  loading: _propTypes["default"].bool
} : {};
AutoCompleteDropDown.defaultProps = {
  waitInterval: 750,
  loading: false
};
var _default = AutoCompleteDropDown;
exports["default"] = _default;
module.exports = exports.default;