"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _semanticUiReact = require("semantic-ui-react");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/forms/save-form.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var SaveForm = function SaveForm(_ref) {
  var defaultValues = _ref.defaultValues,
      handleChange = _ref.handleChange,
      handleSubmit = _ref.handleSubmit,
      children = _ref.children,
      formId = _ref.formId,
      saveButton = _ref.saveButton;

  var _useState = (0, _react.useState)(defaultValues),
      state = _useState[0],
      setState = _useState[1];

  var onChange = function onChange(e, _ref2) {
    var _extends2;

    var name = _ref2.name,
        value = _ref2.value;
    if (handleChange) handleChange(e, {
      name: name,
      value: value
    });
    setState(_extends({}, state, (_extends2 = {}, _extends2[name] = value, _extends2)));
  };

  var onSubmit = function onSubmit(e) {
    e.preventDefault();
    if (handleSubmit) handleSubmit(state);
  };

  var formInputs = _react["default"].Children.map(children, function (input) {
    return _react["default"].cloneElement(input, {
      onChange: onChange
    });
  });

  var button;
  if (saveButton) button = _react["default"].cloneElement(saveButton, {
    type: 'submit',
    form: formId
  });
  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Form, {
    id: formId,
    onSubmit: onSubmit,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24,
      columnNumber: 5
    }
  }, formInputs, button);
};

SaveForm.propTypes = process.env.NODE_ENV !== "production" ? {
  formId: _propTypes["default"].string.isRequired,
  handleChange: _propTypes["default"].func,
  handleSubmit: _propTypes["default"].func,
  saveButton: _propTypes["default"].element
} : {};
SaveForm.defaultProps = {
  saveButton: undefined
};
var _default = SaveForm;
exports["default"] = _default;
module.exports = exports.default;