"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = require("react");

var useInterval = function useInterval(callback, delay) {
  var savedCallback = (0, _react.useRef)(); // Remember the latest callback.

  (0, _react.useEffect)(function () {
    savedCallback.current = callback;
  }, [callback]); // Set up the interval.

  (0, _react.useEffect)(function () {
    var tick = function tick() {
      return savedCallback.current();
    };

    if (delay !== null) {
      var id = setInterval(tick, delay);
      return function () {
        return clearInterval(id);
      };
    }
  }, [delay]);
};

var _default = useInterval;
exports["default"] = _default;
module.exports = exports.default;