"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = require("react");

var _lodash = require("lodash");

var useStateList = function useStateList(values) {
  if (values === void 0) {
    values = [];
  }

  var _useState = (0, _react.useState)(values),
      list = _useState[0],
      setState = _useState[1];

  var setList = function setList(value) {
    setState(function (prevState) {
      if (prevState.includes(value)) return (0, _lodash.without)(prevState, value);else return (0, _lodash.concat)(prevState, [value]);
    });
  };

  var resetValues = function resetValues(values) {
    if (values === void 0) {
      values = [];
    }

    return setState(values);
  };

  return [list, setList, resetValues];
};

var _default = useStateList;
exports["default"] = _default;
module.exports = exports.default;