"use strict";

exports.__esModule = true;
exports["default"] = exports.useURLQueryParams = void 0;

var _react = require("react");

var _reactRouterDom = require("react-router-dom");

var _parseURLQueryParams = require("../utils/parseURLQueryParams");

var useURLQueryParams = function useURLQueryParams(array_keys) {
  if (array_keys === void 0) {
    array_keys = [];
  }

  var _useLocation = (0, _reactRouterDom.useLocation)(),
      search = _useLocation.search;

  var parameters = (0, _reactRouterDom.useParams)();
  return {
    queryParameters: (0, _react.useMemo)(function () {
      return search ? (0, _parseURLQueryParams.parseUrlQueryParams)(search, array_keys) : {};
    }, [search, array_keys]),
    parameters: parameters
  };
};

exports.useURLQueryParams = useURLQueryParams;
var _default = useURLQueryParams;
exports["default"] = _default;