"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _semanticUiReact = require("semantic-ui-react");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/menus/navbar.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var renderSubMenu = function renderSubMenu(element) {
  if (element) {
    return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Menu.Item, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 7,
        columnNumber: 12
      }
    }, element);
  }
};

var Navbar = function Navbar(props) {
  var activeItem = props.activeItem,
      children = props.children,
      logo = props.logo,
      subMenu = props.subMenu,
      userMenu = props.userMenu,
      navCallback = props.navCallback;

  var items = _react["default"].Children.map(children, function (item) {
    return _react["default"].cloneElement(item, {
      active: activeItem === item.props.name
    });
  });

  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Menu, {
    className: "navbar",
    borderless: true,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Menu.Item, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 22,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Icon, {
    name: "angle right",
    size: "large",
    link: true,
    onClick: navCallback,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 23,
      columnNumber: 9
    }
  })), renderSubMenu(logo), renderSubMenu(subMenu), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Menu.Menu, {
    position: "right",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28,
      columnNumber: 7
    }
  }, items, renderSubMenu(userMenu)));
};

Navbar.propTypes = process.env.NODE_ENV !== "production" ? {
  activeItem: _propTypes["default"].string,
  children: _propTypes["default"].any.isRequired,
  logo: _propTypes["default"].node,
  subMenu: _propTypes["default"].node,
  userMenu: _propTypes["default"].node,
  navCallback: _propTypes["default"].func
} : {};
Navbar.defaultProps = {
  activeItem: ''
};
var _default = Navbar;
exports["default"] = _default;
module.exports = exports.default;