"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _semanticUiReact = require("semantic-ui-react");

var customPropTypes = _interopRequireWildcard(require("../helpers/customPropTypes"));

var _index = require("../index");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/menus/user-menu.js";

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var UserMenu = function UserMenu(props) {
  var email = props.email,
      linksAs = props.linksAs,
      name = props.name,
      profileImage = props.profileImage;
  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Dropdown, {
    trigger: /*#__PURE__*/_react["default"].createElement(_index.Avatar, {
      profileImage: profileImage,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 12,
        columnNumber: 24
      }
    }),
    icon: null,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Dropdown.Menu, {
    className: "NavbarDropdownMenu",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 13,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Dropdown.Item, {
    text: name,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 14,
      columnNumber: 9
    }
  }), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Dropdown.Item, {
    text: email,
    disabled: true,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 9
    }
  }), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Divider, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 9
    }
  }), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Dropdown.Item, {
    text: "Settings",
    as: linksAs,
    to: "settings",
    href: "settings",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 9
    }
  }), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Dropdown.Item, {
    text: "Log Out",
    as: linksAs,
    to: "/logout",
    href: "/logout",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 9
    }
  })));
};

UserMenu.propTypes = process.env.NODE_ENV !== "production" ? {
  username: _propTypes["default"].string.isRequired,
  email: _propTypes["default"].string.isRequired,
  name: _propTypes["default"].string.isRequired,
  profileImage: _propTypes["default"].string,
  linksAs: customPropTypes.as // This is to allow the option to pass in NavLink from react-router

} : {};
UserMenu.defaultProps = {
  linksAs: 'a'
};
var _default = UserMenu;
exports["default"] = _default;
module.exports = exports.default;