"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _semanticUiReact = require("semantic-ui-react");

var _index = require("../index");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/modals/form-modal.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var FormModal = function FormModal(_ref) {
  var open = _ref.open,
      handleSubmit = _ref.handleSubmit,
      props = _objectWithoutPropertiesLoose(_ref, ["open", "handleSubmit"]);

  var cancelButton = props.cancelButton,
      children = props.children,
      defaultValues = props.defaultValues,
      formId = props.formId,
      handleChange = props.handleChange,
      saveButton = props.saveButton,
      title = props.title;

  var _useState = (0, _react.useState)(open),
      visible = _useState[0],
      setVisible = _useState[1];

  var onSubmit = function onSubmit(values) {
    if (handleSubmit) handleSubmit(values);
    setVisible(false);
  };

  var trigger = _react["default"].cloneElement(props.trigger, {
    onClick: function onClick() {
      return setVisible(true);
    }
  });

  var save = _react["default"].cloneElement(saveButton, {
    type: 'submit',
    form: formId
  });

  var cancel = _react["default"].cloneElement(cancelButton, {
    onClick: function onClick() {
      return setVisible(false);
    }
  });

  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Modal, {
    trigger: trigger,
    open: visible,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 30,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Modal.Header, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 31,
      columnNumber: 7
    }
  }, title), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Modal.Content, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 33,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react["default"].createElement(_index.SaveForm, {
    formId: formId,
    defaultValues: defaultValues,
    handleChange: handleChange,
    handleSubmit: onSubmit,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 34,
      columnNumber: 9
    }
  }, children)), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Modal.Actions, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 39,
      columnNumber: 7
    }
  }, save, cancel));
};

FormModal.propTypes = process.env.NODE_ENV !== "production" ? {
  formId: _propTypes["default"].string.isRequired,
  trigger: _propTypes["default"].element.isRequired,
  title: _propTypes["default"].string.isRequired,
  handleSubmit: _propTypes["default"].func,
  handleChange: _propTypes["default"].func,
  open: _propTypes["default"].bool,
  defaultValues: _propTypes["default"].shape({}),
  saveButton: _propTypes["default"].any,
  cancelButton: _propTypes["default"].any
} : {};
FormModal.defaultProps = {
  open: false,
  defaultValues: {},
  saveButton: /*#__PURE__*/_react["default"].createElement(_index.Button, {
    type: "submit",
    content: "Save",
    icon: "save",
    color: "action-positive",
    inverted: true,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 62,
      columnNumber: 15
    }
  }),
  cancelButton: /*#__PURE__*/_react["default"].createElement(_index.CancelButton, {
    inverted: true,
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 63,
      columnNumber: 17
    }
  })
};
var _default = FormModal;
exports["default"] = _default;
module.exports = exports.default;