"use strict";

exports.__esModule = true;
exports["default"] = exports.TurnAroundTimeProgress = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _semanticUiReact = require("semantic-ui-react");

var _index = require("../index");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/progress-bars/turn-around-time-progress.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TurnAroundTimeProgress = function TurnAroundTimeProgress(_ref) {
  var target = _ref.target,
      start = _ref.start,
      signout = _ref.signout,
      _ref$compact = _ref.compact,
      compact = _ref$compact === void 0 ? false : _ref$compact,
      rest = _objectWithoutPropertiesLoose(_ref, ["target", "start", "signout", "compact"]);

  var _utils$getTurnAroundT = _index.utils.getTurnAroundTimeDetails(target, start, signout),
      label = _utils$getTurnAroundT.label,
      color = _utils$getTurnAroundT.color,
      value = _utils$getTurnAroundT.value,
      daysPassed = _utils$getTurnAroundT.daysPassed;

  if (start) {
    return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Popup, {
      flowing: true,
      trigger: signout ? /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Button, {
        fluid: true,
        compact: true,
        size: "mini",
        style: {
          boxShadow: 'none'
        },
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 16,
          columnNumber: 13
        }
      }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Icon, {
        name: "checkmark",
        color: "green",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 17,
          columnNumber: 15
        }
      }), compact ? null : 'Completed :', /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, {
        circular: true,
        color: color,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 19,
          columnNumber: 15
        }
      }, label)) : /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Progress, _extends({
        value: value,
        total: target,
        color: color,
        active: true
      }, rest, {
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 24,
          columnNumber: 13
        }
      }), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, {
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 25,
          columnNumber: 15
        }
      }, label)),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 12,
        columnNumber: 7
      }
    }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Popup.Content, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 30,
        columnNumber: 9
      }
    }, /*#__PURE__*/_react["default"].createElement("strong", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 31,
        columnNumber: 11
      }
    }, "Target:"), " ", target, " days", /*#__PURE__*/_react["default"].createElement("br", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 32,
        columnNumber: 11
      }
    }), /*#__PURE__*/_react["default"].createElement("strong", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 33,
        columnNumber: 11
      }
    }, signout ? 'TAT' : 'Current TAT', ":"), " ", daysPassed, " days", /*#__PURE__*/_react["default"].createElement("br", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 34,
        columnNumber: 11
      }
    }), /*#__PURE__*/_react["default"].createElement("strong", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 35,
        columnNumber: 11
      }
    }, "Started:"), " ", _index.utils.dateFormatter(start, 'YYYY-MM,DD'), /*#__PURE__*/_react["default"].createElement("br", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 36,
        columnNumber: 11
      }
    }), /*#__PURE__*/_react["default"].createElement("strong", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 37,
        columnNumber: 11
      }
    }, "Signed out:"), " ", signout ? _index.utils.dateFormatter(signout, 'YYYY-MM-DD') : 'N/A'));
  } else {
    return /*#__PURE__*/_react["default"].createElement("p", {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 42,
        columnNumber: 12
      }
    }, "Not started!");
  }
};

exports.TurnAroundTimeProgress = TurnAroundTimeProgress;
TurnAroundTimeProgress.propTypes = process.env.NODE_ENV !== "production" ? {
  target: _propTypes["default"].number,
  start: _propTypes["default"].string,
  signout: _propTypes["default"].string,
  compact: _propTypes["default"].bool
} : {};
var _default = TurnAroundTimeProgress;
exports["default"] = _default;