"use strict";

exports.__esModule = true;
exports["default"] = exports.LocusCell = void 0;

var _react = _interopRequireDefault(require("react"));

var _semanticUiReact = require("semantic-ui-react");

var _lodash = require("lodash");

var _externalLink = require("../links/external-link");

var urlBuilders = _interopRequireWildcard(require("../utils/urlBuilders"));

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/locus-cell.js";

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var LocusCell = function LocusCell(_ref) {
  var rowData = _ref.rowData,
      column = _ref.column;
  var props = (0, _lodash.get)(column, 'props');
  var chromosome = (0, _lodash.get)(rowData, 'chromosome');
  var start = parseInt((0, _lodash.get)(rowData, 'start'), 10).toLocaleString();
  var end = parseInt((0, _lodash.get)(rowData, 'end'), 10).toLocaleString();
  var trigger = chromosome + ":" + start + "-" + end;
  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Popup, _extends({
    trigger: /*#__PURE__*/_react["default"].createElement("p", {
      style: {
        cursor: 'pointer'
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 16,
        columnNumber: 21
      }
    }, trigger),
    on: "click",
    wide: "very"
  }, props, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 5
    }
  }), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Popup.Content, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react["default"].createElement(_externalLink.ExternalLink, {
    href: urlBuilders.ucscLocus(chromosome, start, end),
    style: {
      paddingRight: 5
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 9
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, {
    content: "UCSC",
    color: "yellow",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 11
    }
  })), /*#__PURE__*/_react["default"].createElement(_externalLink.ExternalLink, {
    href: urlBuilders.dgvRegionSearch(chromosome, start, end),
    style: {
      paddingRight: 5
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 9
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, {
    content: "DGV",
    color: "teal",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 22,
      columnNumber: 11
    }
  })), /*#__PURE__*/_react["default"].createElement(_externalLink.ExternalLink, {
    href: urlBuilders.decipherRegionSearch(chromosome, start, end),
    style: {
      paddingRight: 5
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24,
      columnNumber: 9
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, {
    content: "Decipher",
    color: "blue",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25,
      columnNumber: 11
    }
  }))));
};

exports.LocusCell = LocusCell;
var _default = LocusCell;
exports["default"] = _default;