"use strict";

exports.__esModule = true;
exports["default"] = exports.Table = exports.LoadingFooterRenderer = exports.NoDataRenderer = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactBaseTable = _interopRequireDefault(require("react-base-table"));

var _reactVirtualizedAutoSizer = _interopRequireDefault(require("react-virtualized-auto-sizer"));

var _semanticUiReact = require("semantic-ui-react");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/tables/table.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NoDataRenderer = function NoDataRenderer() {
  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Segment, {
    textAlign: "center",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 9,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Header, {
    content: "No Data!",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 10,
      columnNumber: 7
    }
  }));
};

exports.NoDataRenderer = NoDataRenderer;

var LoadingFooterRenderer = function LoadingFooterRenderer() {
  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Dimmer, {
    inverted: true,
    active: true,
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Loader, {
    size: "tiny",
    content: "Loading more...",
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 7
    }
  }));
};

exports.LoadingFooterRenderer = LoadingFooterRenderer;

var Table = function Table(_ref) {
  var _ref$data = _ref.data,
      data = _ref$data === void 0 ? [] : _ref$data,
      _ref$widths = _ref.widths,
      widths = _ref$widths === void 0 ? {} : _ref$widths,
      _ref$maxHeight = _ref.maxHeight,
      maxHeight = _ref$maxHeight === void 0 ? 500 : _ref$maxHeight,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 500 : _ref$height,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 500 : _ref$width,
      _ref$noDataHeight = _ref.noDataHeight,
      noDataHeight = _ref$noDataHeight === void 0 ? 100 : _ref$noDataHeight,
      _ref$footerHeight = _ref.footerHeight,
      footerHeight = _ref$footerHeight === void 0 ? 50 : _ref$footerHeight,
      _ref$responsive = _ref.responsive,
      responsive = _ref$responsive === void 0 ? false : _ref$responsive,
      _ref$loading = _ref.loading,
      loading = _ref$loading === void 0 ? false : _ref$loading,
      onFetch = _ref.onFetch,
      children = _ref.children,
      rest = _objectWithoutPropertiesLoose(_ref, ["data", "widths", "maxHeight", "height", "width", "noDataHeight", "footerHeight", "responsive", "loading", "onFetch", "children"]);

  var _useState = (0, _react.useState)(loading),
      isLoading = _useState[0],
      setLoading = _useState[1];

  (0, _react.useEffect)(function () {
    return setLoading(loading);
  }, [loading]);

  var onEndReached = function onEndReached() {
    if (onFetch) {
      if (!isLoading) {
        onFetch();
        setLoading(true);
      }
    }
  };

  var props = {
    fixed: true,
    data: data,
    maxHeight: data.length === 0 ? undefined : maxHeight,
    height: data.length === 0 ? noDataHeight : undefined,
    footerHeight: isLoading ? footerHeight : 0,
    footerRenderer: LoadingFooterRenderer,
    emptyRenderer: NoDataRenderer,
    onEndReached: onEndReached
  };

  if (responsive) {
    return /*#__PURE__*/_react["default"].createElement(_reactVirtualizedAutoSizer["default"], {
      disableHeight: true,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 62,
        columnNumber: 7
      }
    }, function (_ref2) {
      var autoWidth = _ref2.width;
      return /*#__PURE__*/_react["default"].createElement(_reactBaseTable["default"], _extends({
        width: autoWidth
      }, props, rest, {
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 65,
          columnNumber: 13
        }
      }), children);
    });
  }

  return /*#__PURE__*/_react["default"].createElement(_reactBaseTable["default"], _extends({
    width: width
  }, props, rest, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 75,
      columnNumber: 5
    }
  }), children);
};

exports.Table = Table;
Table.propTypes = process.env.NODE_ENV !== "production" ? {
  data: _propTypes["default"].arrayOf(_propTypes["default"].shape({})),
  maxHeight: _propTypes["default"].number,
  height: _propTypes["default"].number,
  width: _propTypes["default"].number,
  noDataHeight: _propTypes["default"].number,
  footerHeight: _propTypes["default"].number,
  responsive: _propTypes["default"].bool,
  loading: _propTypes["default"].bool,
  onFetch: _propTypes["default"].func,
  children: _propTypes["default"].arrayOf(_propTypes["default"].object)
} : {};
var _default = Table;
exports["default"] = _default;