"use strict";

exports.__esModule = true;
exports["default"] = exports.parseUrlQueryParams = void 0;

var _lodash = require("lodash");

var _queryString = require("query-string");

var parseUrlQueryParams = function parseUrlQueryParams(searchUrl, array_keys) {
  if (array_keys === void 0) {
    array_keys = [];
  }

  var params = (0, _queryString.parse)(searchUrl);
  var defaults = {};
  (0, _lodash.map)(params, function (value, key) {
    if (array_keys.includes(key)) {
      if (Array.isArray(value)) defaults[key] = value;else defaults[key] = [value];
    } else {
      defaults[key] = value;
    }
  });
  return defaults;
};

exports.parseUrlQueryParams = parseUrlQueryParams;
var _default = parseUrlQueryParams;
exports["default"] = _default;