var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/lists/genes-links-list.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { List } from 'semantic-ui-react';
import { get, map } from 'lodash';
import { utils, BasicLabel, Link } from '../index';

var GeneLinksList = function GeneLinksList(_ref) {
  var genes = _ref.genes,
      rest = _objectWithoutPropertiesLoose(_ref, ["genes"]);

  return /*#__PURE__*/React.createElement(List, _extends({}, rest, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 9,
      columnNumber: 3
    }
  }), map(genes, function (gene) {
    var symbol = get(gene, 'symbol');
    var ensembl = get(gene, 'ensemblId');
    return /*#__PURE__*/React.createElement(List.Item, {
      key: symbol,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 15,
        columnNumber: 9
      }
    }, /*#__PURE__*/React.createElement(List.Content, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 16,
        columnNumber: 11
      }
    }, symbol, /*#__PURE__*/React.createElement(Link, {
      href: utils.urlBuilders.omimSearch(symbol),
      content: /*#__PURE__*/React.createElement(BasicLabel, {
        color: "green",
        content: "OMIM",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 18,
          columnNumber: 72
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 18,
        columnNumber: 13
      }
    }), /*#__PURE__*/React.createElement(Link, {
      href: utils.urlBuilders.hgmdGene(symbol),
      content: /*#__PURE__*/React.createElement(BasicLabel, {
        color: "blue",
        content: "HGMD",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 20,
          columnNumber: 70
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 20,
        columnNumber: 13
      }
    }), /*#__PURE__*/React.createElement(Link, {
      href: utils.urlBuilders.geneReviewsEntry(symbol),
      content: /*#__PURE__*/React.createElement(BasicLabel, {
        color: "blue",
        content: "GeneReviews",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 24,
          columnNumber: 24
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 22,
        columnNumber: 13
      }
    }), /*#__PURE__*/React.createElement(Link, {
      href: utils.urlBuilders.gtexEntry(symbol),
      content: /*#__PURE__*/React.createElement(BasicLabel, {
        color: "red",
        content: "GTEx",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 27,
          columnNumber: 71
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 27,
        columnNumber: 13
      }
    }), ensembl && /*#__PURE__*/React.createElement(Link, {
      href: utils.urlBuilders.exacGeneEntry(ensembl),
      content: /*#__PURE__*/React.createElement(BasicLabel, {
        color: "black",
        content: "ExAC",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 32,
          columnNumber: 26
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 30,
        columnNumber: 15
      }
    }), ensembl && /*#__PURE__*/React.createElement(Link, {
      href: utils.urlBuilders.gnomadGeneEntry(ensembl),
      content: /*#__PURE__*/React.createElement(BasicLabel, {
        color: "black",
        content: "gnomAD",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 39,
          columnNumber: 26
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 37,
        columnNumber: 15
      }
    })));
  }));
};

GeneLinksList.propTypes = process.env.NODE_ENV !== "production" ? {
  genes: PropTypes.arrayOf(PropTypes.shape({
    symbol: PropTypes.string,
    ensemblId: PropTypes.string
  }))
} : {};
export default GeneLinksList;