var _this = this,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/gene-cell.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Label, List, Popup } from 'semantic-ui-react';
import { get, join, map } from 'lodash';
import { ExternalLink } from '../links/external-link';
import * as urlBuilders from '../utils/urlBuilders';
export var GeneCell = function GeneCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;
  var props = get(column, 'props');
  var value = [];
  if (typeof cellData === 'string') value = [cellData];else if (cellData instanceof Array) value = cellData;
  var trigger;
  if (value.length > 3) trigger = value.length + " genes";else trigger = join(value, ', ');
  return /*#__PURE__*/React.createElement(Popup, _extends({
    trigger: /*#__PURE__*/React.createElement("p", {
      style: {
        cursor: 'pointer'
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 19,
        columnNumber: 21
      }
    }, trigger),
    on: "click",
    wide: "very"
  }, props, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 5
    }
  }), /*#__PURE__*/React.createElement(Popup.Content, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 7
    }
  }, /*#__PURE__*/React.createElement(List, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 9
    }
  }, map(value, function (gene) {
    return /*#__PURE__*/React.createElement(List.Item, {
      key: gene,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 23,
        columnNumber: 13
      }
    }, /*#__PURE__*/React.createElement(List.Content, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 24,
        columnNumber: 15
      }
    }, gene, "\xA0\xA0", /*#__PURE__*/React.createElement(ExternalLink, {
      href: urlBuilders.omimSearch(gene),
      style: {
        paddingRight: 5
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 26,
        columnNumber: 17
      }
    }, /*#__PURE__*/React.createElement(Label, {
      content: "OMIM",
      color: "green",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 27,
        columnNumber: 19
      }
    })), /*#__PURE__*/React.createElement(ExternalLink, {
      href: urlBuilders.hgmdGene(gene),
      style: {
        paddingRight: 5
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 29,
        columnNumber: 17
      }
    }, /*#__PURE__*/React.createElement(Label, {
      content: "HGMD",
      color: "blue",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 30,
        columnNumber: 19
      }
    })), /*#__PURE__*/React.createElement(ExternalLink, {
      href: urlBuilders.geneReviewsEntry(gene),
      style: {
        paddingRight: 5
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 32,
        columnNumber: 17
      }
    }, /*#__PURE__*/React.createElement(Label, {
      content: "GeneReviews",
      color: "blue",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 33,
        columnNumber: 19
      }
    })), /*#__PURE__*/React.createElement(ExternalLink, {
      href: urlBuilders.gtexEntry(gene),
      style: {
        paddingRight: 5
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 35,
        columnNumber: 17
      }
    }, /*#__PURE__*/React.createElement(Label, {
      content: "GTEx",
      color: "red",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 36,
        columnNumber: 19
      }
    })), /*#__PURE__*/React.createElement(ExternalLink, {
      href: urlBuilders.gnomadGeneEntry(gene),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 38,
        columnNumber: 17
      }
    }, /*#__PURE__*/React.createElement(Label, {
      content: "gnomAD",
      color: "black",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 39,
        columnNumber: 19
      }
    }))));
  }))));
};
export default GeneCell;