"use strict";

exports.__esModule = true;
exports.MGI_URL = exports.CLINGEN_URL = exports.ALAMUT_URL = exports.ORPHANET_URL = exports.HPO_URL = exports.OMIM_URL = exports.HGMD_URL = exports.DECIPHER_URL = exports.GTEX_URL = exports.GENEREVIEWS_URL = exports.HGNC_URL = exports.GHR_URL = exports.GENE_CARDS_URL = exports.DGV_URL = exports.UCSC_URL = exports.GNOMAD_URL = exports.EXAC_URL = exports.ENSEMBL_GRCH38_URL = exports.ENSEMBL_GRCH37_URL = exports.COSMIC_URL = exports.CLINVAR_URL = exports.NCBI_VARIATION_URL = exports.NCBI_GENE_URL = exports.PUBMED_URL = exports.NCBI_URL = exports.NCBI_ESEARCH_ENDPOINT = exports.NCBI_ESUMMARY_ENDPOINT = exports.NCBI_EFETCH_ENDPOINT = exports.NCBI_EUTILS_ENDPOINT = void 0;
// NCBI APIs
var NCBI_EUTILS_ENDPOINT = 'https://eutils.ncbi.nlm.nih.gov/entrez/eutils';
exports.NCBI_EUTILS_ENDPOINT = NCBI_EUTILS_ENDPOINT;
var NCBI_EFETCH_ENDPOINT = NCBI_EUTILS_ENDPOINT + "/efetch.fcgi";
exports.NCBI_EFETCH_ENDPOINT = NCBI_EFETCH_ENDPOINT;
var NCBI_ESUMMARY_ENDPOINT = NCBI_EUTILS_ENDPOINT + "/esummary.fcgi";
exports.NCBI_ESUMMARY_ENDPOINT = NCBI_ESUMMARY_ENDPOINT;
var NCBI_ESEARCH_ENDPOINT = NCBI_EUTILS_ENDPOINT + "/esearch.fcgi"; // NCBI URLs

exports.NCBI_ESEARCH_ENDPOINT = NCBI_ESEARCH_ENDPOINT;
var NCBI_URL = 'https://www.ncbi.nlm.nih.gov';
exports.NCBI_URL = NCBI_URL;
var PUBMED_URL = NCBI_URL + "/pubmed";
exports.PUBMED_URL = PUBMED_URL;
var NCBI_GENE_URL = NCBI_URL + "/gene";
exports.NCBI_GENE_URL = NCBI_GENE_URL;
var NCBI_VARIATION_URL = NCBI_URL + "/variation/view";
exports.NCBI_VARIATION_URL = NCBI_VARIATION_URL;
var CLINVAR_URL = 'https://preview.ncbi.nlm.nih.gov/clinvar'; // Genomic Resources

exports.CLINVAR_URL = CLINVAR_URL;
var COSMIC_URL = 'http://cancer.sanger.ac.uk/cosmic';
exports.COSMIC_URL = COSMIC_URL;
var ENSEMBL_GRCH37_URL = 'http://grch37.ensembl.org';
exports.ENSEMBL_GRCH37_URL = ENSEMBL_GRCH37_URL;
var ENSEMBL_GRCH38_URL = 'http://grch38.ensembl.org';
exports.ENSEMBL_GRCH38_URL = ENSEMBL_GRCH38_URL;
var EXAC_URL = 'http://exac.broadinstitute.org';
exports.EXAC_URL = EXAC_URL;
var GNOMAD_URL = 'http://gnomad.broadinstitute.org';
exports.GNOMAD_URL = GNOMAD_URL;
var UCSC_URL = 'https://genome.ucsc.edu';
exports.UCSC_URL = UCSC_URL;
var DGV_URL = 'http://dgv.tcag.ca'; // Gene Resources

exports.DGV_URL = DGV_URL;
var GENE_CARDS_URL = 'http://www.genecards.org';
exports.GENE_CARDS_URL = GENE_CARDS_URL;
var GHR_URL = 'https://ghr.nlm.nih.gov'; // Genetics Home Reference

exports.GHR_URL = GHR_URL;
var HGNC_URL = 'https://www.genenames.org';
exports.HGNC_URL = HGNC_URL;
var GENEREVIEWS_URL = 'https://www.ncbi.nlm.nih.gov/books/NBK1116';
exports.GENEREVIEWS_URL = GENEREVIEWS_URL;
var GTEX_URL = 'https://www.gtexportal.org'; // Clinical Resources

exports.GTEX_URL = GTEX_URL;
var DECIPHER_URL = 'https://decipher.sanger.ac.uk';
exports.DECIPHER_URL = DECIPHER_URL;
var HGMD_URL = 'https://portal.biobase-international.com';
exports.HGMD_URL = HGMD_URL;
var OMIM_URL = 'https://www.omim.org'; // Phenotype Resources

exports.OMIM_URL = OMIM_URL;
var HPO_URL = 'http://compbio.charite.de';
exports.HPO_URL = HPO_URL;
var ORPHANET_URL = 'http://www.orpha.net'; // Internal Resources

exports.ORPHANET_URL = ORPHANET_URL;
var ALAMUT_URL = 'http://localhost:10000'; // ClinGen

exports.ALAMUT_URL = ALAMUT_URL;
var CLINGEN_URL = 'https://search.clinicalgenome.org/kb/'; // Mouse Genome Database

exports.CLINGEN_URL = CLINGEN_URL;
var MGI_URL = 'http://www.informatics.jax.org';
exports.MGI_URL = MGI_URL;