"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _semanticUiReact = require("semantic-ui-react");

var _lodash = require("lodash");

var _index = require("../index");

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/lists/genes-links-list.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var GeneLinksList = function GeneLinksList(_ref) {
  var genes = _ref.genes,
      rest = _objectWithoutPropertiesLoose(_ref, ["genes"]);

  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.List, _extends({}, rest, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 9,
      columnNumber: 3
    }
  }), (0, _lodash.map)(genes, function (gene) {
    var symbol = (0, _lodash.get)(gene, 'symbol');
    var ensembl = (0, _lodash.get)(gene, 'ensemblId');
    return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.List.Item, {
      key: symbol,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 15,
        columnNumber: 9
      }
    }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.List.Content, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 16,
        columnNumber: 11
      }
    }, symbol, /*#__PURE__*/_react["default"].createElement(_index.Link, {
      href: _index.utils.urlBuilders.omimSearch(symbol),
      content: /*#__PURE__*/_react["default"].createElement(_index.BasicLabel, {
        color: "green",
        content: "OMIM",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 18,
          columnNumber: 72
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 18,
        columnNumber: 13
      }
    }), /*#__PURE__*/_react["default"].createElement(_index.Link, {
      href: _index.utils.urlBuilders.hgmdGene(symbol),
      content: /*#__PURE__*/_react["default"].createElement(_index.BasicLabel, {
        color: "blue",
        content: "HGMD",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 20,
          columnNumber: 70
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 20,
        columnNumber: 13
      }
    }), /*#__PURE__*/_react["default"].createElement(_index.Link, {
      href: _index.utils.urlBuilders.geneReviewsEntry(symbol),
      content: /*#__PURE__*/_react["default"].createElement(_index.BasicLabel, {
        color: "blue",
        content: "GeneReviews",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 24,
          columnNumber: 24
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 22,
        columnNumber: 13
      }
    }), /*#__PURE__*/_react["default"].createElement(_index.Link, {
      href: _index.utils.urlBuilders.gtexEntry(symbol),
      content: /*#__PURE__*/_react["default"].createElement(_index.BasicLabel, {
        color: "red",
        content: "GTEx",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 27,
          columnNumber: 71
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 27,
        columnNumber: 13
      }
    }), ensembl && /*#__PURE__*/_react["default"].createElement(_index.Link, {
      href: _index.utils.urlBuilders.exacGeneEntry(ensembl),
      content: /*#__PURE__*/_react["default"].createElement(_index.BasicLabel, {
        color: "black",
        content: "ExAC",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 32,
          columnNumber: 26
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 30,
        columnNumber: 15
      }
    }), ensembl && /*#__PURE__*/_react["default"].createElement(_index.Link, {
      href: _index.utils.urlBuilders.gnomadGeneEntry(ensembl),
      content: /*#__PURE__*/_react["default"].createElement(_index.BasicLabel, {
        color: "black",
        content: "gnomAD",
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 39,
          columnNumber: 26
        }
      }),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 37,
        columnNumber: 15
      }
    })));
  }));
};

GeneLinksList.propTypes = process.env.NODE_ENV !== "production" ? {
  genes: _propTypes["default"].arrayOf(_propTypes["default"].shape({
    symbol: _propTypes["default"].string,
    ensemblId: _propTypes["default"].string
  }))
} : {};
var _default = GeneLinksList;
exports["default"] = _default;
module.exports = exports.default;