"use strict";

exports.__esModule = true;
exports["default"] = exports.GeneCell = void 0;

var _react = _interopRequireDefault(require("react"));

var _semanticUiReact = require("semantic-ui-react");

var _lodash = require("lodash");

var _externalLink = require("../links/external-link");

var urlBuilders = _interopRequireWildcard(require("../utils/urlBuilders"));

var _this = void 0,
    _jsxFileName = "/Users/gonzalezma/Projects/react-genomix/src/table-cell-renderers/gene-cell.js";

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var GeneCell = function GeneCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;
  var props = (0, _lodash.get)(column, 'props');
  var value = [];
  if (typeof cellData === 'string') value = [cellData];else if (cellData instanceof Array) value = cellData;
  var trigger;
  if (value.length > 3) trigger = value.length + " genes";else trigger = (0, _lodash.join)(value, ', ');
  return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Popup, _extends({
    trigger: /*#__PURE__*/_react["default"].createElement("p", {
      style: {
        cursor: 'pointer'
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 19,
        columnNumber: 21
      }
    }, trigger),
    on: "click",
    wide: "very"
  }, props, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 5
    }
  }), /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Popup.Content, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.List, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21,
      columnNumber: 9
    }
  }, (0, _lodash.map)(value, function (gene) {
    return /*#__PURE__*/_react["default"].createElement(_semanticUiReact.List.Item, {
      key: gene,
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 23,
        columnNumber: 13
      }
    }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.List.Content, {
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 24,
        columnNumber: 15
      }
    }, gene, "\xA0\xA0", /*#__PURE__*/_react["default"].createElement(_externalLink.ExternalLink, {
      href: urlBuilders.omimSearch(gene),
      style: {
        paddingRight: 5
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 26,
        columnNumber: 17
      }
    }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, {
      content: "OMIM",
      color: "green",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 27,
        columnNumber: 19
      }
    })), /*#__PURE__*/_react["default"].createElement(_externalLink.ExternalLink, {
      href: urlBuilders.hgmdGene(gene),
      style: {
        paddingRight: 5
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 29,
        columnNumber: 17
      }
    }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, {
      content: "HGMD",
      color: "blue",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 30,
        columnNumber: 19
      }
    })), /*#__PURE__*/_react["default"].createElement(_externalLink.ExternalLink, {
      href: urlBuilders.geneReviewsEntry(gene),
      style: {
        paddingRight: 5
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 32,
        columnNumber: 17
      }
    }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, {
      content: "GeneReviews",
      color: "blue",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 33,
        columnNumber: 19
      }
    })), /*#__PURE__*/_react["default"].createElement(_externalLink.ExternalLink, {
      href: urlBuilders.gtexEntry(gene),
      style: {
        paddingRight: 5
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 35,
        columnNumber: 17
      }
    }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, {
      content: "GTEx",
      color: "red",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 36,
        columnNumber: 19
      }
    })), /*#__PURE__*/_react["default"].createElement(_externalLink.ExternalLink, {
      href: urlBuilders.gnomadGeneEntry(gene),
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 38,
        columnNumber: 17
      }
    }, /*#__PURE__*/_react["default"].createElement(_semanticUiReact.Label, {
      content: "gnomAD",
      color: "black",
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 39,
        columnNumber: 19
      }
    }))));
  }))));
};

exports.GeneCell = GeneCell;
var _default = GeneCell;
exports["default"] = _default;